Subject: Re: bug#26525: `sit-for' in Flyspell slows typing down, hogs 90% of CPU

From: Nick Helm <[email-masked]>
Date: Fri, 04 Sep 2020 13:01:35 +1200

On Thu, 2020-09-03 at 03:19 -0700, Stefan Kangas wrote:
> Nick H <[email-masked]> writes:
> 
> > I just bumped into this bug on 27.1 with the same symptoms - typing
> > lag after activating flyspell-mode.
> 
> What is your ispell/flyspell configuration?

Nothing unusual:

grep -C2 -E \(ispell\|flyspell\) ~/.config/emacs/init.el

  ; spelling
  (setq ispell-choices-win-default-height 2)
  (setq ispell-dictionary "en_NZ")
  (setq ispell-personal-dictionary (concat nh-etc "hunspell-dict"))
  (setq ispell-program-name "hunspell")
  (setq ispell-dictionary-alist
        '(("en_NZ" "[[:alpha:]]" "[^[:alpha:]]" "[']" t nil t utf-8)))
  (with-eval-after-load 'flyspell
    (progn
      (define-key 
         flyspell-mouse-map [down-mouse-3] #'flyspell-correct-word)
      (define-key 
         flyspell-mouse-map [mouse-3] nil)))

> Do you have any ideas about how to reproduce it, or could you say
> something about the circumstances under which you saw this?

The lead-up was pretty mundane - I visited an elisp file, set the 
region to a block of text, M-x write-region, C-x C-f the resulting
file, M-x vi-l-m, a few edits, M-x flys-buf, M-x flys-mod --> lag

I tried to reproduce the problem, but no success. Sorry.